Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 692208 - games-emulation/pcsx2: Add support for media-libs/libglvnd
Summary: games-emulation/pcsx2: Add support for media-libs/libglvnd
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal enhancement (vote)
Assignee: nE0sIghT
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: use-libglvnd
  Show dependency tree
 
Reported: 2019-08-15 10:47 UTC by Maik
Modified: 2019-08-28 15:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maik 2019-08-15 10:47:55 UTC
games-emulation/pcsx2 currently has a fixed dependency on eselect-opengl, thus blocking unmasking libglvnd usage. Stub for now to work as blocker.
Comment 1 Maik 2019-08-15 15:56:44 UTC
Reason for dependency is bug #510730 so it's only relevant for people trying to install pcsx2 on a Gentoo install that hasn't been updated for 5 years. Debatable if just dropping it would be the appropriate solution.
Comment 2 Matt Turner gentoo-dev 2019-08-18 06:46:48 UTC
(In reply to Maik from comment #1)
> Reason for dependency is bug #510730 so it's only relevant for people trying
> to install pcsx2 on a Gentoo install that hasn't been updated for 5 years.
> Debatable if just dropping it would be the appropriate solution.

Yes, I think that would be fine. We only assume you can update from a 1-year old install.
Comment 3 nE0sIghT 2019-08-18 06:51:33 UTC
I'm unsure if it's possible to drop (useless) dependency without revbump.
With revbump I will drop dependency after upstream will close [1] so I can remove QA notice.

[1] https://github.com/PCSX2/pcsx2/issues/3077
Comment 4 Larry the Git Cow gentoo-dev 2019-08-28 15:54:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57b4a9d03988ca21db72dab9b524aec96f18504a

commit 57b4a9d03988ca21db72dab9b524aec96f18504a
Author:     Yuri Konotopov <ykonotopov@gnome.org>
AuthorDate: 2019-08-27 11:03:52 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2019-08-28 15:54:05 +0000

    games-emulation/pcsx2: ebuild enhancements.
    
    Closes: https://bugs.gentoo.org/692208
    
    Signed-off-by: Yuri Konotopov <ykonotopov@gnome.org>
    Closes: https://github.com/gentoo/gentoo/pull/12798
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 games-emulation/pcsx2/pcsx2-1.4.0-r2.ebuild | 87 +++++++++++++++++++++++++++++
 games-emulation/pcsx2/pcsx2-9999.ebuild     | 22 ++++----
 2 files changed, 98 insertions(+), 11 deletions(-)